package com.czg.system.enums;

import lombok.Getter;

/**
 * @author ww
 */

@Getter
public enum SysParamCodeEnum {


    // 微信公众号（用户订阅相关）
    WECHAT_AC_SECRETE("wechat_ac_secrete", "用户订阅公众号secret"),
    WECHAT_AC_APPID("wechat_ac_appid", "用户订阅公众号appid"),

    // 公众号关注位置
    FOLLOW_INDEX("follow_index", "公众号关注位置 mine-我的 order-订单 eat-就餐"),

    // 商家配置
    AC_DAY_COUNT("ac_day_count", "商家每日可创建次数"),

    // 短信相关
    SMS_FEE("sms_fee", "短信费用"),
    ALI_SMS_KEY("ali_sms_key", "阿里云短信key"),
    ALI_SMS_TEMPLATE_CODE("ali_sms_template_code", "阿里云短信模板"),
    ALI_SMS_SECRET("ali_sms_secret", "阿里云短信secret"),

    // 微信相关（公众号/小程序）
    WX_ACCOUNT_APP_ID("wx_account_app_id", "微信公众号appId"),
    WX_ACCOUNT_SECRETE("wx_account_secrete", "微信公众号密钥"),
    WX_MINI_APP_ID("wx_mini_app_id", "微信小程序appId"),
    WX_MINI_SECRETE("wx_mini_secrete", "微信小程序密钥"),

    // 页面地址相关
    WX_MINI_VIP_URL("wx_mini_vip_url", "小程序会员页面地址"),
    TABLE_CODE_URL("table_code_url", "桌码生成路径"),
    CALL_PAGE_URL("call_page_url", "叫号页面地址"),
    SHOP_ORDER_PAY_BASE_URL("shop_order_pay_base_url", "店铺订单支付BaseUrl"),

    // 支付相关（超掌柜）
    PAY_CZG_DOMAIN("pay_czg_domain", "超掌柜支付域名"),
    PAY_CZG_NOTIFY_URL("pay_czg_notify_url", "超掌柜支付回调地址"),
    PAY_CZG_REFUND_NOTIFY_URL("pay_czg_refund_notify_url", "超掌柜退款回调地址"),

    // 阿里云OSS相关
    ALI_OSS_ACCESS_KEY("ali_oss_access_key", "阿里云oss_ACCESS_KEY"),
    ALI_OSS_ACCESS_SECRET("ali_oss_access_secret", "阿里云oss_secret"),
    ALI_OSS_ENDPOINT("ali_oss_endpoint", "阿里云endpoint"),
    ALI_OSS_ROLE_ARN("ali_oss_role_arn", "阿里云roleArn"),

    // 支付宝相关（小程序/网页）
    ALI_MINI_PUBLIC_KEY("ali_mini_public_key", "支付宝小程序公钥"),
    ALI_MINI_PRIVATE_KEY("ali_mini_private_key", "支付宝小程序支付私钥"),
    ALI_MINI_APP_ID("ali_mini_app_id", "支付宝小程序id"),
    ALI_GATEWAY("ali_gateway", "支付宝网关"),
    ALI_ENCRYPT_KEY("ali_encrypt_key", "阿里AES加密串"),
    ALI_ACCOUNT_PUBLIC_KEY("ali_account_public_key", "支付宝网页公钥"),
    ALI_ACCOUNT_PRIVATE_KEY("ali_account_private_key", "支付宝网页私钥"),
    ALI_ACCOUNT_APP_ID("ali_account_app_id", "支付宝网页appid"),
    // 平台信息
    PLATE_NAME("plate_name", "平台名称")

    ;

    private final String code;
    private final String msg;

    SysParamCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
